/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The AccessAndRefreshToken model module.
 * @module model/AccessAndRefreshToken
 * @version 2021.12-dev21
 */
class AccessAndRefreshToken {
    /**
     * Constructs a new <code>AccessAndRefreshToken</code>.
     * @alias module:model/AccessAndRefreshToken
     * @param accessToken {String} 
     * @param refreshToken {String} 
     */
    constructor(accessToken, refreshToken) { 
        
        AccessAndRefreshToken.initialize(this, accessToken, refreshToken);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, accessToken, refreshToken) { 
        obj['access_token'] = accessToken;
        obj['refresh_token'] = refreshToken;
    }

    /**
     * Constructs a <code>AccessAndRefreshToken</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/AccessAndRefreshToken} obj Optional instance to populate.
     * @return {module:model/AccessAndRefreshToken} The populated <code>AccessAndRefreshToken</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new AccessAndRefreshToken();

            if (data.hasOwnProperty('access_token')) {
                obj['access_token'] = ApiClient.convertToType(data['access_token'], 'String');
            }
            if (data.hasOwnProperty('refresh_token')) {
                obj['refresh_token'] = ApiClient.convertToType(data['refresh_token'], 'String');
            }
        }
        return obj;
    }


}

/**
 * @member {String} access_token
 */
AccessAndRefreshToken.prototype['access_token'] = undefined;

/**
 * @member {String} refresh_token
 */
AccessAndRefreshToken.prototype['refresh_token'] = undefined;






export default AccessAndRefreshToken;

